Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Gregory Heytings <[email-masked]>
Date: Fri, 12 Aug 2022 12:34:54 +0000

>
> I've pushed a branch scratch/font_lock_large_files.
>

Thank you.  But as I told you earlier, what that branch contains is a too 
local fix.  You created a new minimal major mode to edit JSON files, in 
which you removed everything that made font locking slow in js-mode.  As a 
consequence, now editing the dictionary.json file is indeed reasonably 
fast without disabling font locking or using locked narrowing (although it 
is still too slow to my taste for larger files, e.g. I have to wait five 
seconds after M-> in a ten times larger JSON file).  And the original 
problem is still present if you edit, for example, a 20 MB minified 
JavaScript file...